unit Fntangle;

interface

uses Graphics,Winprocs,WinTypes;

function GetFontAngle( Canvas: TCanvas): Integer;
procedure SetFontAngle( Canvas: TCanvas; Angle: Integer);

implementation

procedure SetFontAngle( Canvas: TCanvas; Angle: Integer);
var
  LogRec: TLOGFONT;
  NewFont: HFONT;
begin
    GetObject(Canvas.Font.Handle, SizeOf(LogRec), @LogRec);
    LogRec.lfEscapement := Angle;
    NewFont := CreateFontIndirect(LogRec);
    Canvas.Font.Handle:=NewFont;
end;

function GetFontAngle( Canvas: TCanvas): Integer;
var
  LogRec: TLOGFONT;
begin
    GetObject(Canvas.Font.Handle, SizeOf(LogRec), @LogRec);
    Result:=LogRec.lfEscapement;
end;

end.

